org.apache.lucene.search.payloads

## Class PayloadSpanUtil

- java.lang.Object
- - org.apache.lucene.search.payloads.PayloadSpanUtil

-     public class PayloadSpanUtil
      extends java.lang.Object

  Experimental class to get set of payloads for most standard Lucene queries. Operates like Highlighter - IndexReader should only contain doc of interest, best to use MemoryIndex.

  WARNING: The status of the Payloads feature is experimental. The APIs introduced here might change in the future and will not be supported anymore in such a case.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PayloadSpanUtil(IndexReader reader)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Collection` | `getPayloadsForQuery(Query query)` Query should be rewritten for wild/fuzzy support.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PayloadSpanUtil

          public PayloadSpanUtil(IndexReader reader)

      Parameters:
        `reader` - that contains doc with payloads to extract

  - ### Method Detail

    - #### getPayloadsForQuery

          public java.util.Collection getPayloadsForQuery(Query query)
                                                   throws java.io.IOException

      Query should be rewritten for wild/fuzzy support.
      Parameters:
        `query` -
      Returns:
        payloads Collection
      Throws:
        `java.io.IOException`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.